This URL uploads the DoS profile from the Sensor.
Resource URL
PUT /sensor/<sensor_id>/uploaddosprofile
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Sensor id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the operation was successful | Number |
| Returns the status messages | String |
Example
Request
PUT https://<NSM_IP>/sdkapi/sensor/1002/uploaddosprofile
Response
{
"status": 1,
"message": "Upload Complete for Dos (from sensor to manager)"
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1106 | Invalid Sensor |
2 | 400 | 1124 | The Sensor is inactive |